<template>
  <div class="">
    <div class="main">
      <h2 class="sub-title">Genres & Mood</h2>
      <a-row :gutter="12">
        <a-col
          class="gutter-row"
          :xs="{ span: 12 }"
          :sm="{ span: 12 }"
          :md="{ span: 8 }"
          :lg="{ span: 6 }"
          :xxl="{ span: 4 }"
          v-for="(item, ind) in listGenre"
          :key="ind">
          <div class="category">
            <div class="background" @click="goDetail(item)">
              <div class="wrap-image square">
                <img :src="item.img_thumb || item.img_banner"/>
                <span class="btn-play">
                  <a-icon type="caret-right"/>
                </span>
              </div>
              <h3 class="title">{{ item.name }}</h3>
              <div class="description">{{ item.description || item.content }}</div>
            </div>
          </div>
        </a-col>
      </a-row>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      listGenre: []
    };
  },
  watch: {
    "$store.state.app.listGenre": {
      handler(val) {
        this.listGenre = val;
      },
      immediate: true
    }
  },
  methods: {
    goDetail(item) {
      this.$router.push(`/detail/${item.id}`);
    }
  }
};
</script>

<style scoped>
h1 {
  color: blue;
}
.items {
  list-style: none;
  margin-left: -60px;
}

.item {
  text-align: left;
  width: 150px;
  padding: 20px 20px 20px 20px;
}

.item b {
  font-size: 1.2em;
}

.item span {
  color: #929292;
}

ul.items li {
  display: inline;
  float: left;
  margin-left: 20px;
  margin-top: 20px;
  background: rgba(0, 0, 0, 0.4);
  border-radius: 5px;
  cursor: pointer;
  position: relative;
}

ul.items li:hover {
  background: rgba(133, 132, 132, 0.4);
}

.photo {
  width: 110px;
  height: 130px;
}

.main-photo {
  position: relative;
}

.photo img {
  position: absolute;
}

.play {
  float: right;
  position: absolute;
  right: 0;
  bottom: 0;
  width: 50px;
  height: 50px;
}
.card-title {
  width: 100%;
  height: 100%;
  position: absolute;
  background-color: rgba(0, 0, 0, 0.63);
  top: 0;
  left: 0;
}
.card-title .card-title_title {
  color: #fff;
  text-transform: capitalize;
  font-weight: 500;
  text-align: center;
}
.card-title .card-title_title a {
  font-size: 1rem;
  color: #fff;
  line-height: 351px;
}
.card-title .card-title_title a:hover {
  text-decoration: underline;
  color: #fff;
  line-height: 351px;
}
.card-mood {
  width: 240px;
  height: 240px;
  border: unset;
}
.card-mood img {
  width: 240px;
}
@media only screen and (max-width: 768px) {
  .card-mood {
    width: 150px;
    height: 150px;
  }
  .card-mood img {
    width: 150px;
  }
  .card-title .card-title_title a {
    font-size: 1rem;
    color: #fff;
    line-height: 200px;
  }
}
</style>
